Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# FILE.h File Reference

`#include "ace/IO_SAP.h"`
`#include "ace/FILE_Addr.h"`
`#include "ace/FILE.inl"`

Include dependency graph for FILE.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_FILE_Info
| Abstracts basic OS FILE information. More...
class | ACE_FILE
| Defines the core methods of the ACE_FILE abstraction. More...
## Defines
#define | ACE_FILE_CONNECTOR ACE_FILE_Connector
#define | ACE_FILE_STREAM ACE_FILE_IO

## Detailed Description

Id
  FILE.h,v 4.25 2005/10/28 16:14:52 ossama Exp

Author:
  Gerhard Lenzer

## Define Documentation

#define ACE_FILE_CONNECTOR ACE_FILE_Connector

#define ACE_FILE_STREAM ACE_FILE_IO